0

I installed Drupal 8 distribution in Acquia Drupal. I am trying to install the Panels module after downloading the archive file from drupal.org.

I am not able to select the Panels module to install it.
Is there any other additional module to install, apart from the Layout Discovery module?

1

If you go through the panels module README file. It clearly says the below:

dependencies:
  - ctools
  - layout_discovery
  - drupal:system (>= 8.3.x)
test_dependencies:
  - page_manager

Make sure you have the above modules pre-installed for Panels.

For further help you can follow here: https://www.ostraining.com/blog/drupal/panels-drupal-8/

Else, revert back for further help.

1

Since you copied the module files by downloading its archive file, you didn't get also the third-party modules necessary to the Panels module.
For the branch 8.x-4 of the Panels module, the only third party module required is the Chaos tool suite (ctools) module you can download, for example, from https://www.drupal.org/project/ctools/releases/8.x-3.0. Every version higher or equal to 8.x-3.0 is compatible with the 8.x-4 branch of the Panels module.

The Layout Discovery module listed as dependency in panels.info.yml is a Drupal core module, in the same way the System module is, so you don't need to download them, as they are core modules available in the latest 8.3.x Drupal version.

If you plan to run the tests that come with the Panels module, then you need also the Page Manager module, which is now separated from the Chaos tool suite module.

Since the Panels module has its own composer.json file, if you copied the Panels module with Composer, you would also get its dependencies copied.

  • Thanks Kiamlaluno!! I tried installing through url link and it worked. – Surya Narayana J Sep 4 '17 at 12:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.